Bug 301741 - Review Request: whowatch - Display information about users currently logged on users
Review Request: whowatch - Display information about users currently logged o...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
http://freshmeat.net/redir/whowatch/1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-22 13:42 EDT by Subhodip Biswas
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-29 03:07:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Subhodip Biswas 2007-09-22 13:42:28 EDT
Description of problem:
Whowatch is an interactive console utility that displays informations about
the users currently logged on to the machine, in real time. Besides standard
information (login, tty, host, user's process) you can see type of login
(ie. ssh, telnet). You can also see selected user's processes tree or all
system processes tree.  In the process tree mode there is ability to send
INT or KILL signal to selected process.



Version-Release number of selected component (if applicable):1.4-1 although
1.6.0 is released it has a upstream bug which is yet to be fixed.

spec file available at 
[http://subhodip.fedorapeople.org/whowatch.spec]
SRPM available at 
[http://subhodip.fedorapeople.org/whowatch-1.4-1.fc7.src.rpm]
Comment 1 Subhodip Biswas 2007-09-22 14:00:18 EDT
i am also working on straw , bug number #276961
Comment 2 Subhodip Biswas 2007-09-22 14:02:46 EDT
koji build succesful :
see here for logs
[http://koji.fedoraproject.org/koji/taskinfo?taskID=170578]
Comment 3 Michel Alexandre Salim 2007-09-22 21:40:04 EDT
Do you still need sponsored? (in which case I can't officially review)

The tarballs don't match:
packaged: 0870155e8b75b99f9954e76fb20f9528  whowatch-1.4.tar.gz
upstream: 38ed07ce1d672dea1c53276b55c54b69  ../whowatch-1.4.tar.gz

Comment 4 Mamoru TASAKA 2007-09-23 01:47:03 EDT
(In reply to comment #3)
> Do you still need sponsored? (in which case I can't officially review)
I will sponsor Subhodip soon so you can review this.
Comment 5 Michel Alexandre Salim 2007-09-23 14:02:08 EDT
Apart from the tarball mismatch (please use upstream's), the licensing is also
problematic. The source files do not have any license header, so the only
license information we have is from the COPYING file. The license should thus be
GPLv2 for now, and you might want to ask upstream before adding the '+'.

The summary field has a typo: remove the last 'users'?

The build root is valid, but it's the least preferred:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473

Consider switching to the first.

Also, the changelog entry is a bit weird -- first changelog should probably say
"Initial package" or something similar. If spec is modified from an earlier
package, cite which one.

Comment 6 Mamoru TASAKA 2007-09-23 21:26:23 EDT
(Removing NEEDSPONSOR)
Comment 7 Subhodip Biswas 2007-09-24 03:13:43 EDT
*there is bug in process.c , function( synchronise)line no 77 of upstream
tarball, in order to remove that i extracted the tarball,edited the file and
repacked it.
*fixed changelog entry.Intial spec file from dag wieers
[http://dag.wieers.com/rpm/packages/whowatch/]
*fixed summary field
*fixed license issue

Specfile available at
[http://subhodip.fedorapeople.org/whowatch.spec]
SRPM available at 
[http://subhodip.fedorapeople.org/whowatch-1.4-2.fc7.src.rpm]
Comment 8 manuel wolfshant 2007-09-24 03:44:37 EDT
Subhodip, please do not modify the original tarball. Include your patch in the
src.rpm (using PatchN) and use it to patch the flawed file using %patchNN (in
%prep).
Comment 9 Subhodip Biswas 2007-09-24 09:36:40 EDT
fixed the above issue #comment3

Specfile available at
[http://subhodip.fedorapeople.org/whowatch.spec]
SRPM available at 
[http://subhodip.fedorapeople.org/whowatch-1.4-3.fc7.src.rpm]

Comment 10 Ralf Corsepius 2007-09-24 09:51:46 EDT
Your patch is broken:

rpmbuild -ba whowatch.spec
...
Patch #0 (whowatch-1.4.patch):
+ patch -p1 -s
missing header for unified diff at line 3 of patch
...
Comment 11 Subhodip Biswas 2007-09-24 15:21:07 EDT
*fixed broken patch

Specfile available at
[http://subhodip.fedorapeople.org/whowatch.spec]
SRPM available at 
[http://subhodip.fedorapeople.org/whowatch-1.4-4.fc7.src.rpm]
Comment 12 Michel Alexandre Salim 2007-09-24 18:58:00 EDT
APPROVED.

The initial changelog entry has no space between '-' and 'Initial packaging',
please fix when committing to CVS.

MUST

• rpmlint: OK
• package name: OK
• spec file name: OK
• package guideline-compliant: OK
• license complies with guidelines: OK
• license field accurate: OK
• license file not deleted: OK
• spec in US English: OK
• spec legible: OK
• source matches upstream: OK
• builds under >= 1 archs, others excluded: OK
• build dependencies complete: OK
• own all directories: OK
• no dupes in %files: OK
• permission: OK
• %clean RPM_BUILD_ROOT: OK
• clean buildroot before install: OK
• filenames UTF-8: OK

SHOULD
• package build in mock on all architectures: OK
• package functioned as described: OK
• require package not files: OK
Comment 13 Subhodip Biswas 2007-09-25 11:46:18 EDT
fixed the initial changelog entry
Comment 14 Subhodip Biswas 2007-09-25 12:48:49 EDT
New Package CVS Request
=======================
Package Name: whowatch
Short Description: Display information about users currently logged on users
Owners: subhodip
Branches: F-7
InitialCC: 
Cvsextras Commits:yes
Comment 15 Kevin Fenzi 2007-09-25 14:13:26 EDT
cvs done. 
Comment 16 Michel Alexandre Salim 2007-09-29 03:07:55 EDT
Subhodip, please remember to close the bug ticket as NEXTRELEASE. It looks like
you've done a build of this package in Koji..

Note You need to log in before you can comment on or make changes to this bug.